diff mcabber/hgcset.sh @ 777:e6d42f239541

"/version" shows Mercurial changeset (if there's one)
author Mikael Berthe <mikael@lilotux.net>
date Sun, 26 Mar 2006 23:30:21 +0200
parents
children 6cb8edbda6d2
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/mcabber/hgcset.sh	Sun Mar 26 23:30:21 2006 +0200
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+if [ ! -f logprint.h ]; then
+  echo "You are not in the src directory" >&2
+  exit 1
+fi
+
+if which hg > /dev/null 2>&1; then
+  cs=$(hg id 2> /dev/null | cut -d' ' -f1)
+  if test $? -eq 0; then
+    grep -q "$cs" hgcset.h > /dev/null 2>&1 || \
+      echo "#define HGCSET \"$cs\"" > hgcset.h
+    exit 0
+  fi
+fi
+
+echo > hgcset.h